OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectBase Class Reference

SelectBase works directly from an InterfaceModel : it is the
first base for other Selections.
.

`#include <IFSelect_SelectBase.hxx>`

Inheritance diagram for IFSelect_SelectBase:

[legend]

## Public Member Functions
Standard_EXPORT void | FillIterator (IFSelect_SelectionIterator &iter) const
| Puts in an Iterator the Selections from which "me" depends This list is empty for all SelectBase type Selections .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

Standard_EXPORT void IFSelect_SelectBase::FillIterator | ( | IFSelect_SelectionIterator & | iter | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT const IFSelect_SelectBase::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Selection. Reimplemented in IFSelect_SelectEntityNumber, IFSelect_SelectModelEntities, IFSelect_SelectModelRoots, and IFSelect_SelectPointed.

The documentation for this class was generated from the following file:

- IFSelect_SelectBase.hxx